/// <reference types="data-generator" />
import { ForeignKey, Schema, Table } from '../schema/schema.class';
export interface DatabaseConnector {
    init(): Promise<void>;
    destroy(): Promise<void>;
    countLines(table: Table): Promise<number>;
    emptyTable(table: Table): Promise<void>;
    executeRawQuery(query: string): Promise<void>;
    insert(table: string, lines: any[]): Promise<number>;
    getSchema(): Promise<Schema>;
    getTablesInformation(): Promise<Table[]>;
    getColumnsInformation(table: Table): Promise<MySQLColumn[]>;
    getForeignKeys(table: Table): Promise<ForeignKey[]>;
    getValuesForForeignKeys(table: string, column: string, foreignTable: string, foreignColumn: string, limit: number, unique: boolean, condition: string | undefined): Promise<any[]>;
    backupTriggers(tables: string[]): Promise<void>;
    cleanBackupTriggers(): void;
    disableTriggers(table: string): Promise<void>;
    enableTriggers(table: string): Promise<void>;
}
export declare class DatabaseConnectorBuilder {
    private uri;
    private uriComponents;
    constructor(uri: string);
    build(): Promise<DatabaseConnector>;
}
