import { Schema, Table } from '../schema/schema.class';
import { DatabaseConnector } from './database-connector-builder';
export declare class MariaDBConnector implements DatabaseConnector {
    private uri;
    private dbConnection;
    private triggers;
    private logger;
    private triggerBackupFile;
    private uriComponents;
    private database;
    constructor(uri: string);
    init(): Promise<void>;
    countLines(table: Table): Promise<number>;
    emptyTable(table: Table): Promise<void>;
    executeRawQuery(query: string): Promise<void>;
    insert(table: string, rows: any[]): Promise<number>;
    destroy(): Promise<void>;
    getSchema(): Promise<Schema>;
    private extractColumns;
    private extractForeignKeys;
    backupTriggers(tables: string[]): Promise<void>;
    cleanBackupTriggers(): void;
    disableTriggers(table: string): Promise<void>;
    enableTriggers(table: string): Promise<void>;
    getTablesInformation(): Promise<Table[]>;
    getColumnsInformation(table: Table): Promise<any[]>;
    getForeignKeys(table: Table): Promise<any[]>;
    getValuesForForeignKeys(table: string, column: string, foreignTable: string, foreignColumn: string, limit: number, unique: boolean, condition: string): Promise<any[]>;
}
