"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BitGenerator = void 0;
const generators_1 = require("./generators");
class BitGenerator extends generators_1.AbstractGenerator {
    static validate(table, column) {
        if (column.min === undefined)
            throw new Error(`min value required for type bit: ${table.name}.${column.name}`);
        if (column.max === undefined)
            throw new Error(`max value required for type bit: ${table.name}.${column.name}`);
        return true;
    }
    generate(rowIndex, row) {
        return this.random.integer(this.column.min, Math.pow(2, this.column.max));
    }
}
exports.BitGenerator = BitGenerator;
