"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.FunctionGenerator = void 0;
const generators_1 = require("./generators");
class FunctionGenerator extends generators_1.AbstractGenerator {
    validate() {
        if (this.column.customFunction === undefined)
            throw new Error(`customFunction value required for type function: ${this.table.name}.${this.column.name}`);
        return true;
    }
    init() {
        return __awaiter(this, void 0, void 0, function* () {
            if (!this.column.customFunction)
                throw new Error(`${this.column.name} has no customFunction`);
            return this;
        });
    }
    generate(rowIndex, row) {
        return eval(this.column.customFunction)(rowIndex, row);
    }
}
exports.FunctionGenerator = FunctionGenerator;
