import { Random } from 'random-js';
import { CustomizedColumn, CustomizedTable } from '../../schema/customized-schema.class';
export declare enum Generators {
    none = "none",
    bit = "bit",
    integer = "integer",
    boolean = "boolean",
    real = "real",
    date = "date",
    time = "time",
    string = "string",
    values = "values",
    foreignKey = "foreignKey",
    function = "function"
}
export declare abstract class AbstractGenerator<T> {
    protected random: Random;
    protected table: CustomizedTable;
    protected column: CustomizedColumn;
    constructor(random: Random, table: CustomizedTable, column: CustomizedColumn);
    static validate(table: CustomizedTable, column: CustomizedColumn): boolean;
    init(): Promise<AbstractGenerator<T>>;
    abstract generate(rowIndex: number, row: {
        [key: string]: any;
    }): T;
}
