"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.IntegerGenerator = void 0;
const generators_1 = require("./generators");
class IntegerGenerator extends generators_1.AbstractGenerator {
    validate() {
        if (this.column.min === undefined)
            throw new Error(`min value required for type integer: ${this.table.name}.${this.column.name}`);
        if (this.column.max === undefined)
            throw new Error(`max value required for type integer: ${this.table.name}.${this.column.name}`);
        return true;
    }
    generate(rowIndex, row) {
        return this.random.integer(this.column.min, this.column.max);
    }
}
exports.IntegerGenerator = IntegerGenerator;
