"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.StringGenerator = void 0;
const generators_1 = require("./generators");
class StringGenerator extends generators_1.AbstractGenerator {
    validate() {
        if (this.column.min === undefined)
            throw new Error(`min value required for type string: ${this.table.name}.${this.column.name}`);
        if (this.column.max === undefined)
            throw new Error(`max value required for type string: ${this.table.name}.${this.column.name}`);
        return true;
    }
    generate(rowIndex, row) {
        if (this.column.max >= 36 && this.column.unique) {
            return this.random.uuid4();
        }
        else {
            return this.random.string(this.random.integer(this.column.min, this.column.max));
        }
    }
}
exports.StringGenerator = StringGenerator;
