/// <reference types="data-generator" />
import { CustomSchema } from './custom-schema.class';
import { Column, ForeignKey, Schema } from './schema.class';
export declare class CustomizedSchema extends CustomSchema {
    tables: CustomizedTable[];
    static create(schema: Schema, customSchema?: CustomSchema): CustomizedSchema;
    private static parseValues;
    private static customizeTable;
    private static orderTablesByForeignKeys;
}
export declare class CustomizedTable {
    name: string;
    columns: CustomizedColumn[];
    referencedTables: string[];
    before: string[];
    after: string[];
    maxLines: number;
    addLines: number;
    deltaRows: number;
    disableTriggers: boolean;
}
export declare class CustomizedColumn extends Column {
    foreignKey?: CustomizedForeignKey;
    values?: ParsedValues;
}
export declare class CustomizedForeignKey extends ForeignKey {
    where?: string;
}
