/// <reference types="data-generator" />
import { Generators } from '../generation/generators/generators';
export declare class Schema {
    tables: Table[];
    static fromJSON(json: any): Promise<Schema>;
    toJSON(): Record<string, any>;
}
export declare class Table {
    name: string;
    columns: Column[];
    referencedTables: string[];
}
export declare class ForeignKey {
    table: string;
    column: string;
}
export declare enum Monotonic {
    ASC = "ASC",
    DESC = "DESC",
    NONE = "NONE"
}
export declare class Column {
    name: string;
    generator: Generators;
    nullable: number;
    unique: boolean;
    autoIncrement: boolean;
    unsigned: boolean;
    min: number;
    max: number;
    minDate?: string;
    maxDate?: string;
    foreignKey?: ForeignKey;
    values?: Values;
    monotonic: Monotonic;
    customFunction?: string;
}
